<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfBitmapDib.BitCount (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfBitmapDib.BitCount (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfBitmapDib.BitCount.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.Compression.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfBitmapDib.BitCount.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Enum HwmfBitmapDib.BitCount" class="title">Enum HwmfBitmapDib.BitCount</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                         title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwmf.record.HwmfBitmapDib.BitCount</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.html"
                           title="class in org.apache.poi.hwmf.record">HwmfBitmapDib</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static enum <span class="typeNameLabel">HwmfBitmapDib.BitCount</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                             title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_0">BI_BITCOUNT_0</a></span></code>
                                    <div class="block">The image SHOULD be in either JPEG or PNG format.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_1">BI_BITCOUNT_1</a></span></code>
                                    <div class="block">Each pixel in the bitmap is represented by a single bit.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_2">BI_BITCOUNT_2</a></span></code>
                                    <div class="block">Each pixel in the bitmap is represented by a 4-bit index into the
                                        color table, and each byte
                                        contains 2 pixels.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_3">BI_BITCOUNT_3</a></span></code>
                                    <div class="block">Each pixel in the bitmap is represented by an 8-bit index into
                                        the color table, and each byte
                                        contains 1 pixel.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_4">BI_BITCOUNT_4</a></span></code>
                                    <div class="block">Each pixel in the bitmap is represented by a 16-bit value.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_5">BI_BITCOUNT_5</a></span></code>
                                    <div class="block">The bitmap has a maximum of 2^24 colors, and the Colors field of
                                        DIB is
                                        NULL.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#BI_BITCOUNT_6">BI_BITCOUNT_6</a></span></code>
                                    <div class="block">The bitmap has a maximum of 2^24 colors.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>[]</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="BI_BITCOUNT_0">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_0</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_0</pre>
                                <div class="block">The image SHOULD be in either JPEG or PNG format. <6> Neither of
                                    these formats includes
                                    a color table, so this value specifies that no color table is present. See [JFIF]
                                    and [RFC2083]
                                    for more information concerning JPEG and PNG compression formats.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_1">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_1</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_1</pre>
                                <div class="block">Each pixel in the bitmap is represented by a single bit. If the bit
                                    is clear, the pixel is displayed
                                    with the color of the first entry in the color table; if the bit is set, the pixel
                                    has the color of the
                                    second entry in the table.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_2">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_2</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_2</pre>
                                <div class="block">Each pixel in the bitmap is represented by a 4-bit index into the
                                    color table, and each byte
                                    contains 2 pixels.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_3">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_3</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_3</pre>
                                <div class="block">Each pixel in the bitmap is represented by an 8-bit index into the
                                    color table, and each byte
                                    contains 1 pixel.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_4">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_4</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_4</pre>
                                <div class="block">Each pixel in the bitmap is represented by a 16-bit value.
                                    <br>
                                    If the Compression field of the BitmapInfoHeader Object is BI_RGB, the Colors field
                                    of DIB
                                    is NULL. Each WORD in the bitmap array represents a single pixel. The relative
                                    intensities of
                                    red, green, and blue are represented with 5 bits for each color component. The value
                                    for blue
                                    is in the least significant 5 bits, followed by 5 bits each for green and red. The
                                    most significant
                                    bit is not used. The color table is used for optimizing colors on palette-based
                                    devices, and
                                    contains the number of entries specified by the ColorUsed field of the
                                    BitmapInfoHeader
                                    Object.
                                    <br>
                                    If the Compression field of the BitmapInfoHeader Object is BI_BITFIELDS, the Colors
                                    field
                                    contains three DWORD color masks that specify the red, green, and blue components,
                                    respectively, of each pixel. Each WORD in the bitmap array represents a single
                                    pixel.
                                    <br>
                                    When the Compression field is set to BI_BITFIELDS, bits set in each DWORD mask MUST
                                    be
                                    contiguous and SHOULD NOT overlap the bits of another mask.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_5">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_5</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_5</pre>
                                <div class="block">The bitmap has a maximum of 2^24 colors, and the Colors field of DIB
                                    is
                                    NULL. Each 3-byte triplet in the bitmap array represents the relative intensities of
                                    blue, green,
                                    and red, respectively, for a pixel. The Colors color table is used for optimizing
                                    colors used on
                                    palette-based devices, and MUST contain the number of entries specified by the
                                    ColorUsed
                                    field of the BitmapInfoHeader Object.
                                </div>
                            </li>
                        </ul>
                        <a name="BI_BITCOUNT_6">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BI_BITCOUNT_6</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a> BI_BITCOUNT_6</pre>
                                <div class="block">The bitmap has a maximum of 2^24 colors.
                                    <br>
                                    If the Compression field of the BitmapInfoHeader Object is set to BI_RGB, the Colors
                                    field
                                    of DIB is set to NULL. Each DWORD in the bitmap array represents the relative
                                    intensities of
                                    blue, green, and red, respectively, for a pixel. The high byte in each DWORD is not
                                    used. The
                                    Colors color table is used for optimizing colors used on palette-based devices, and
                                    MUST
                                    contain the number of entries specified by the ColorUsed field of the
                                    BitmapInfoHeader
                                    Object.
                                    <br>
                                    If the Compression field of the BitmapInfoHeader Object is set to BI_BITFIELDS, the
                                    Colors
                                    field contains three DWORD color masks that specify the red, green, and blue
                                    components,
                                    respectively, of each pixel. Each DWORD in the bitmap array represents a single
                                    pixel.
                                    <br>
                                    When the Compression field is set to BI_BITFIELDS, bits set in each DWORD mask must
                                    be
                                    contiguous and should not overlap the bits of another mask. All the bits in the
                                    pixel do not
                                    need to be used.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (HwmfBitmapDib.BitCount c : HwmfBitmapDib.BitCount.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBitmapDib.BitCount</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfBitmapDib.BitCount.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmapDib.Compression.html"
               title="enum in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfBitmapDib.BitCount.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfBitmapDib.BitCount.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
